#!/usr/bin/env ruby

class Reader
  attr_reader :path, :prompt, :color
  def initialize
    @path = ["/bin"]
    @prompt = "$ "
    @color = {"prompt" => 'white', "great" => 'red', "miss" => 'blue'}
  end

  def setpath(str)
    if str.index(':')
      @path = str.split(':')
    else
      @path = [str]
    end
  end

  def setprompt(str)
    @prompt = str
  end

  def setcolor(arg1, arg2)
    @color[arg1] = arg2
  end
end
